File: tasks-requirements.txt

package info (click to toggle)
python-invoke 1.4.1%2Bds-0.1~bpo10%2B1
  • links: PTS, VCS
  • area: main
  • in suites: buster-backports
  • size: 1,704 kB
  • sloc: python: 11,377; makefile: 18; sh: 12
file content (17 lines) | stat: -rw-r--r-- 553 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
# Need self to, you know, run tests / load into tests / etc.
-e .
# Invocations, for all sorts of things
invocations>=1.4.0,<2.0
# These required for publish tasks
semantic_version>=2.4,<2.5
wheel==0.24
twine==1.11.0
readme_renderer==17.2
# And this is required for the coverage task
coverage==4.5.1
# Technically only needed for Travis, but might as well add it here
codecov==2.0.15
certifi==2018.4.16
# Gotta limit Sphinx to <1.7 for now, or releases blows up. (has to be done in
# here since this file gets run by itself sometimes.)
Sphinx>=1.4,<1.7